<?php
/*
Plugin Name: DS Taxonomy Meta
Plugin URI: http://www.ds.ee
Description: This plugin allows you to add image metadata to custom taxonomy.
Version: 0.1
Author: Jevgeni Kazantsev
Author URI: http://www.ds.ee
*/

//error_reporting(E_ALL);
if ( is_admin() ) {
    include_once (WP_PLUGIN_DIR . '/ds-taxonomy-meta/backend.php');
    $ds_taxmetadata = new DSTaxMetaData;
    if ( isset($ds_taxmetadata ) ) {
    	register_activation_hook( __FILE__, array( &$ds_taxmetadata , 'install' ) );
    	register_deactivation_hook( __FILE__, array( &$ds_taxmetadata , 'uninstall' ) );
    }
} else {
	add_action('init', 'ds_taxmeta_init');
	function ds_taxmeta_init() {
		global $wpdb;
		$wpdb->kategooriadmeta = $wpdb->prefix . 'kategooriadmeta';
	} 
}